首页 > 系统运维 > apache 2.4 访问控制配置变化
您的足迹
  • 你没有浏览过任何文章或者你没有开启cookies。

apache 2.4 访问控制配置变化

今天配置apache的cgi-bin,怎么配置都不成功,查看日志说:

[Wed Dec 12 18:16:21.166842 2012] [authz_core:debug] [pid 9437] mod_authz_core.c(802): [client 1.1.1.3:60234] 
AH01626: authorization result of Require all granted: granted

这个可能是什么问题,可能是什么问题呢?我估计是权限访问控制问题,原来apache 2.2的配置如下:

<Directory "/usr/local/httpd/cgi-bin">
    AllowOverride None
    Options None
    Options ExecCGI
    Order allow,deny
    Allow from all
</Directory>

可能是这里的原因吧,但也不知道正确的怎么配置,后来去apache站点上看了一下升级指南,找到了解决方法,apache 2.4是这么配置的:

<Directory "/usr/local/httpd/cgi-bin">
    AllowOverride None
    Options ExecCGI
    Require all granted
</Directory>

问题解决,玩的开心.

参考地址如下:http://httpd.apache.org/docs/2.4/upgrading.html

  1. 还没有评论
评论提交中, 请稍候...

留言

可以使用的标签: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>
Trackbacks & Pingbacks ( 0 )
  1. 还没有 trackbacks
Feed